org.eclipse.cdt.utils.spawner

## Class ProcessFactory

- java.lang.Object
- - org.eclipse.cdt.utils.spawner.ProcessFactory

    public class ProcessFactory
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Process` `exec(java.lang.String cmd)`
`java.lang.Process` `exec(java.lang.String[] cmdarray)`
`java.lang.Process` `exec(java.lang.String[] cmdarray, java.lang.String[] envp)`
`java.lang.Process` `exec(java.lang.String[] cmdarray, java.lang.String[] envp, java.io.File dir)`
`java.lang.Process` `exec(java.lang.String[] cmdarray, java.lang.String[] envp, java.io.File dir, PTY pty)`
`java.lang.Process` `exec(java.lang.String cmd, java.lang.String[] envp)`
`java.lang.Process` `exec(java.lang.String cmd, java.lang.String[] envp, java.io.File dir)`
`static ProcessFactory` `getFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFactory

    public static ProcessFactory getFactory()

#### exec

    public java.lang.Process exec(java.lang.String cmd)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public java.lang.Process exec(java.lang.String[] cmdarray)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public java.lang.Process exec(java.lang.String[] cmdarray,
                                  java.lang.String[] envp)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public java.lang.Process exec(java.lang.String cmd,
                                  java.lang.String[] envp)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public java.lang.Process exec(java.lang.String cmd,
                                  java.lang.String[] envp,
                                  java.io.File dir)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public java.lang.Process exec(java.lang.String[] cmdarray,
                                  java.lang.String[] envp,
                                  java.io.File dir)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### exec

    public java.lang.Process exec(java.lang.String[] cmdarray,
                                  java.lang.String[] envp,
                                  java.io.File dir,
                                  PTY pty)
                           throws java.io.IOException

Throws:
  `java.io.IOException`